Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum OptimisticLockType

    java.lang.Object
      java.lang.Enum<OptimisticLockType>
          org.hibernate.annotations.OptimisticLockType

All Implemented Interfaces:
  Serializable, Comparable<OptimisticLockType>

    public enum OptimisticLockType

extends Enum<OptimisticLockType>

Optimistic locking strategy VERSION is the default and recommanded one

Author:
  Emmanuel Bernard

Enum Constant Summary
`ALL` all columns are compared
`DIRTY` dirty columns are compared
`NONE` no optimistic locking
`VERSION` use a column version

Method Summary
`static OptimisticLockType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OptimisticLockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OptimisticLockType NONE

  no optimistic locking

### VERSION

    public static final OptimisticLockType VERSION

  use a column version

### DIRTY

    public static final OptimisticLockType DIRTY

  dirty columns are compared

### ALL

    public static final OptimisticLockType ALL

  all columns are compared

Method Detail

### values

    public static final OptimisticLockType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OptimisticLockType c : OptimisticLockType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OptimisticLockType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD